light-mode-image
Learn
API ReferenceVerifier root CA certificates

Create a verifier root CA certificate

Roles

adminverifier

Analytics Events

CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_STARTCREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_FAIL
POST/v2/presentations/certificates/ca

Creates a verifier root CA certificate to be used as part of mDocs online verification workflows.

  • A maximum of three Verifier root CA certificates can be created per tenant.

Analytic events

  • CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_START
  • CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_SUCCESS
  • CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Verifier root CA certificate payload

TypeScript Definitions

Use the request body type in TypeScript.

Request payload for managed verifier root CA certificate

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/presentations/certificates/ca" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z"  },  "active": true,  "isManaged": true}

How would you rate this page?